From: "Jason Zaman" <perfinion@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-visualization/tensorboard/
Date: Thu, 9 Aug 2018 16:11:39 +0000 (UTC) [thread overview]
Message-ID: <1533831034.ca198846ee9b9fa98c8a923e7bb0932461f9736c.perfinion@gentoo> (raw)
commit: ca198846ee9b9fa98c8a923e7bb0932461f9736c
Author: Jason Zaman <perfinion <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 9 14:54:19 2018 +0000
Commit: Jason Zaman <perfinion <AT> gentoo <DOT> org>
CommitDate: Thu Aug 9 16:10:34 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ca198846
sci-visualization/tensorboard: new package, 1.10.0
Package-Manager: Portage-2.3.40, Repoman-2.3.9
sci-visualization/tensorboard/Manifest | 1 +
sci-visualization/tensorboard/metadata.xml | 14 +++++++
.../tensorboard/tensorboard-1.10.0.ebuild | 47 ++++++++++++++++++++++
3 files changed, 62 insertions(+)
diff --git a/sci-visualization/tensorboard/Manifest b/sci-visualization/tensorboard/Manifest
new file mode 100644
index 00000000000..aeb37519bbc
--- /dev/null
+++ b/sci-visualization/tensorboard/Manifest
@@ -0,0 +1 @@
+DIST tensorboard-1.10.0.zip 3280385 BLAKE2B b4e9f6d4fc6252b57f31e8514516205c8f8150d3d2c0f46049338fe7d7dd601b75c0b1c21945e06d077511426f85c65a318e184f9fd40758b1f83a7e93364518 SHA512 2c3a741c4627242e2e4c144d09089c951291826fe1839cf04d9f369b4e88cd5d7fb02b0789ea11cb4810ef458e167e98562ba55ac7cfcc048e4117f12b531818
diff --git a/sci-visualization/tensorboard/metadata.xml b/sci-visualization/tensorboard/metadata.xml
new file mode 100644
index 00000000000..d1f23aa30fb
--- /dev/null
+++ b/sci-visualization/tensorboard/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>perfinion@gentoo.org</email>
+ <name>Jason Zaman</name>
+ </maintainer>
+ <longdescription lang="en">
+ TensorBoard is a suite of web applications for inspecting and understanding your TensorFlow runs and graphs.
+ </longdescription>
+ <upstream>
+ <remote-id type="github">tensorflow/tensorboard</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/sci-visualization/tensorboard/tensorboard-1.10.0.ebuild b/sci-visualization/tensorboard/tensorboard-1.10.0.ebuild
new file mode 100644
index 00000000000..0087abfa2ad
--- /dev/null
+++ b/sci-visualization/tensorboard/tensorboard-1.10.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6} )
+inherit python-r1 python-utils-r1
+
+DESCRIPTION="TensorFlow's Visualization Toolkit"
+HOMEPAGE="https://www.tensorflow.org/"
+SRC_URI="https://files.pythonhosted.org/packages/c6/17/ecd918a004f297955c30b4fffbea100b1606c225dbf0443264012773c3ff/${P}-py3-none-any.whl -> ${P}.zip"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+RDEPEND="sci-libs/tensorflow[python,${PYTHON_USEDEP}]
+ dev-python/bleach[${PYTHON_USEDEP}]
+ dev-python/html5lib[${PYTHON_USEDEP}]
+ dev-python/markdown[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/protobuf-python[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+ virtual/python-futures[${PYTHON_USEDEP}]"
+BDEPEND="app-arch/unzip"
+
+S="${WORKDIR}/${PN}"
+
+src_prepare() {
+ rm -rf "${S}/_vendor" || die
+ find "${S}" -name '*.py' -exec sed -i -e \
+ 's/^from tensorboard\._vendor import /import /;
+ s/^from tensorboard\._vendor\./from /' {} + || die "failed to unvendor"
+
+ eapply_user
+}
+
+src_install() {
+ sed '1i #!/usr/bin/env python' "${S}/main.py" > "${T}/${PN}" || die
+ do_install() {
+ python_doscript "${T}/${PN}"
+ python_domodule "${S}"
+ }
+ python_foreach_impl do_install
+}
next reply other threads:[~2018-08-09 16:11 UTC|newest]
Thread overview: 45+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-08-09 16:11 Jason Zaman [this message]
-- strict thread matches above, loose matches on Subject: below --
2018-09-28 10:24 [gentoo-commits] repo/gentoo:master commit in: sci-visualization/tensorboard/ Jason Zaman
2018-09-30 11:20 Jason Zaman
2018-12-24 10:32 Jason Zaman
2019-02-18 13:54 Jason Zaman
2019-04-05 15:41 Jason Zaman
2019-04-29 14:24 Jason Zaman
2019-05-13 5:58 Jason Zaman
2019-06-19 4:09 Jason Zaman
2019-06-19 8:41 Jason Zaman
2019-08-07 7:58 Jason Zaman
2019-08-13 7:40 Michał Górny
2019-09-13 14:22 Jason Zaman
2019-10-01 14:52 Jason Zaman
2019-12-02 14:50 Jason Zaman
2019-12-02 14:50 Jason Zaman
2019-12-09 3:03 Jason Zaman
2019-12-23 19:48 Jason Zaman
2019-12-26 2:42 Jason Zaman
2019-12-29 9:56 David Seifert
2020-03-16 18:55 Michał Górny
2020-05-16 1:00 Jason Zaman
2020-08-30 0:32 Jason Zaman
2020-09-25 12:08 Benda XU
2020-10-09 3:41 Jason Zaman
2020-11-28 22:42 Jason Zaman
2020-12-06 20:40 Jason Zaman
2021-01-20 10:16 David Seifert
2021-06-20 21:56 Jason Zaman
2021-08-01 13:19 Jason Zaman
2021-11-15 17:52 Jason Zaman
2021-11-15 17:52 Jason Zaman
2022-02-07 1:58 Jason Zaman
2022-06-26 2:45 Jason Zaman
2022-06-26 2:45 Jason Zaman
2022-09-23 3:06 Jason Zaman
2022-11-19 18:23 Jason Zaman
2022-11-25 18:27 Jason Zaman
2023-01-10 14:15 Michał Górny
2023-03-27 19:21 Michał Górny
2023-06-05 16:37 Jason Zaman
2024-02-03 19:35 Jason Zaman
2024-02-03 19:35 Jason Zaman
2024-02-03 19:35 Jason Zaman
2024-02-14 16:53 Jason Zaman
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1533831034.ca198846ee9b9fa98c8a923e7bb0932461f9736c.perfinion@gentoo \
--to=perfinion@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox